%define name		simian
%define version		1.9.10
%define release		1jpp
%define section		non-free

Summary:	Simian similarity analyser
URL:		http://www.redhillconsulting.com.au/products/simian/
Source0:	http://www.ibiblio.org/maven/redhill/jars/simian-1.9.10.jar
NoSource:	0
Source1:	http://www.ibiblio.org/maven/redhill/licenses/simian.license
NoSource:	1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Proprietary License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
Requires:	jpackage-utils >= 0:1.5
Requires:	java >= 0:1.4
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Simian (Similarity Analyser) identifies duplication 
in Java, C#, C, C++, COBOL, Ruby, JSP, ASP, HTML, 
XML, Visual Basic source code and even plain text 
files. In fact, simian can be used on any human 
readable files such as ini files, deployment 
descriptors, you name it.
Especially on large enterprise projects, it can be 
difficult for any one developer to keep track of all 
the features (classes, methods, etc.) of the system.


%prep
%setup -T -c -n simian
cp %{SOURCE0} .
cp %{SOURCE1} .

%build
#jar xf %{name}-%{version}.jar
#jar cmf META-INF/MANIFEST.MF %{name}-%{version}.jar au

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 %{name}-%{version}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -p simian.license   $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_datadir}/%{name}-%{version}/simian.license


%changelog
* Mon Aug 02 2004 Ralph Apel <r.apel at r-apel.de> 0:1.9.10-1jpp
- First JPackage release
- Use simian-1.9.10.jar from www.ibiblio.org for Maven only
